set(SHARED_LIB "${MYCMAKE_OS_SHARED_LIBRARY_INSTALL_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}${MYCMAKE_CTEST_TEST_NAME}${CMAKE_SHARED_LIBRARY_SUFFIX}")
if (MYCMAKE_OS_IS_WINDOWS)
    set(SHARED_LIB "${MYCMAKE_OS_SHARED_LIBRARY_INSTALL_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}${MYCMAKE_CTEST_TEST_NAME}${CMAKE_STATIC_LIBRARY_SUFFIX}")
endif (MYCMAKE_OS_IS_WINDOWS)
set(STATIC_LIB "${CMAKE_INSTALL_LIBDIR}/${CMAKE_STATIC_LIBRARY_PREFIX}${MYCMAKE_CTEST_TEST_NAME}${CMAKE_STATIC_LIBRARY_SUFFIX}")

set(TEST_GENERATED_FILES
    "include/test_lib.hh"
    "include/test_lib/test_lib_file.hh"
    "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${MYCMAKE_CTEST_TEST_NAME}Targets.cmake"
    "${TEST_BINARY_DIR}/${MYCMAKE_CTEST_TEST_NAME}Targets.cmake"
    "${SHARED_LIB}"
    "${SHARED_LIB_LINK}"
    "${STATIC_LIB}"
)

set(TEST_NOT_GENERATED_FILES
    "src/test_lib_private.hh"
    "src/test_lib.cc"
)
